pixel2刷机,从android8.1升级到Android10.0

下载fastboot.exe

SDK Platform Tools 版本说明 | Android 开发者 | Android Developers

下载Android镜像

https://developers.google.cn/android/images#walleye

解压SDK Platform Tools包与镜像文件包,并将二者文件放到一起

手机USB连接电脑,cmd执行:adb reboot bootloader

等待手机开机界面变成机器人图标后,执行:flash-all.bat

报错:

extracting android-info.txt (0 MB) to RAM...
Checking 'product' OKAY [ 0.000s]
Checking 'version-bootloader' FAILED
Device version-bootloader is 'mw8998-002.0059.00'.
Update requires 'mw8998-002.0083.00'.
fastboot: error: requirements not met!
解决方案:修改镜像文件中对应的参数

直接压缩包打开修改其中的一个文本文件:

直接修改保存,修改的具体值看具体的报错所需的bootloader版本,我这里需要的是mw8998-002.0059.00,因此将镜像文件中的值修改为mw8998-002.0059.00

再次,执行:flash-all.bat

————————————————

原文链接:,转发请注明来源!